# Class DeviceInfo#getEddystoneInfo

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#getEddystoneInfo(successCallback, errorCallback) Gets Eddystone Info, Each EddystoneFrame has a set of predefined frame properties.

## Class Detail

DeviceInfo#getEddystoneInfo(successCallback, errorCallback)
Gets Eddystone Info, Each EddystoneFrame has a set of predefined frame properties.

    // Javascript code
    function getEddystoneInfo () {
     function successCb(cbObject) {
        console.log("cbObject : " + JSON.stringify(cbObject));
        console.log("enabled : " + cbObject.enabled);
        console.log("frame : " + cbObject.uuid);
        console.log("frameData : " + cbObject.major);
        // Do something
     }
     function failureCb(cbObject) {
        var errorCode = cbObject.errorCode;
        var errorText = cbObject.errorText;
        console.log ("Error Code [" + errorCode + "]: " + errorText);
     }
     var deviceinfo = new DeviceInfo();
     deviceinfo.getEddystoneInfo(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object} options

  Property | Type | Description
  --- | --- | ---
  enabled | Boolean | Eddystone is enabled true : enabled, false : disabled
  frame | String | EddystoneFrame
  frameData | String | UUID of beacon, 32 hexadecimal digits. Only valid when 'enabled' is true and 'frame' is DeviceInfo.EddystoneFrame.UUID URL of beacon. Only valid when 'enabled' is true and 'frame' is DeviceInfo.EddystoneFrame.URL (when 'enabled' is true, it is required)

See:
  DeviceInfo.setEddystoneInfo()